org.apache.felix.ipojo.manipulator.metadata

## Class CompositeMetadataProvider

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.CompositeMetadataProvider

All Implemented Interfaces:
  MetadataProvider

    public class CompositeMetadataProvider
    extends Object
    implements MetadataProvider

A `CompositeMetadataProvider` is responsible to detect duplicates component's declaration.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`CompositeMetadataProvider(Reporter reporter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMetadataProvider(MetadataProvider provider)`
`List<org.apache.felix.ipojo.metadata.Element>` `getMetadatas()` Gather all the metadata.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositeMetadataProvider

    public CompositeMetadataProvider(Reporter reporter)

### Method Detail

#### addMetadataProvider

    public void addMetadataProvider(MetadataProvider provider)

#### getMetadatas

    public List<org.apache.felix.ipojo.metadata.Element> getMetadatas()
                                                               throws IOException

Description copied from interface: `MetadataProvider`
Gather all the metadata.

Specified by:
  `getMetadatas` in interface `MetadataProvider`
Returns:
  a list of iPOJO metadata (never return null)
Throws:
  `IOException` - if something wet wrong during gathering.